From bb071f4eb20810216b731f6792a32c148eb78931 Mon Sep 17 00:00:00 2001
From: Allan McRae <allan@archlinux.org>
Date: Sat, 5 Feb 2011 10:24:58 +1000
Subject: makepkg: more bash-3.2 compatibility

Adding the "|| true" to the subshell prevents bash-3.2 setting off the
error_trap but requires changing the if statement.

Signed-off-by: Allan McRae <allan@archlinux.org>
Signed-off-by: Dan McGee <dan@archlinux.org>
---
 scripts/makepkg.sh.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 13415fbe..001178ad 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -507,8 +507,8 @@ download_sources() {
 
 	local netfile
 	for netfile in "${source[@]}"; do
-		local file
-		if file=$(get_filepath "$netfile"); then
+		local file=$(get_filepath "$netfile" || true)
+		if [[ -n "$file" ]]; then
 			msg2 "$(gettext "Found %s")" "${file##*/}"
 			ln -sf "$file" "$srcdir/"
 			continue
-- 
cgit v1.2.3-70-g09d2